net.sf.jasperreports.components.table.fill

## Class TableReport.ColumnHeaderCreator

- java.lang.Object
- - net.sf.jasperreports.components.table.fill.TableReport.ReportBandCreator
  - - net.sf.jasperreports.components.table.fill.TableReport.ColumnHeaderCreator

- All Implemented Interfaces:
    ColumnVisitor<java.lang.Void>
  Enclosing class:
    TableReport

      protected class TableReport.ColumnHeaderCreator
      extends TableReport.ReportBandCreator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableReport.ColumnHeaderCreator(TableReport.ReportBandInfo bandInfo, FillColumn fillColumn, int xOffset, int yOffset, int level, java.util.Map<java.lang.Integer,JRPropertiesMap> headerBaseProperties, java.util.concurrent.atomic.AtomicBoolean firstColumn)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addColumnLabelParameters(JRDesignGenericElement element, TableComponent table)`
    `protected void` | `addElementParameter(JRDesignGenericElement element, java.lang.String name, JRExpression expression)`
    `protected void` | `addElementParameter(JRDesignGenericElement element, java.lang.String name, java.lang.Object value)`
    `protected void` | `addHeaderToolbarElement(Column column, JRDesignFrame frame, JRTextField sortTextField)`
    `protected void` | `addIconLabelComponent(Column column, JRDesignFrame frame, java.lang.String suffix)`
    `protected Cell` | `columnCell(Column column)`
    `protected Cell` | `columnGroupCell(ColumnGroup group)`
    `protected JRDesignFrame` | `createColumnCell(Column column, JRElementGroup parentGroup, Cell cell)`
    `protected TableReport.ReportBandCreator` | `createSubVisitor(FillColumn subcolumn, int xOffset, int yOffset, int sublevel)`
    `protected JRExpression` | `getColumnHeaderLabelExpression(Cell header)`

    - ### Methods inherited from class net.sf.jasperreports.components.table.fill.TableReport.ReportBandCreator

      `createColumnCell, isEmpty, visit, visitColumn, visitColumnGroup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableReport.ColumnHeaderCreator

          public TableReport.ColumnHeaderCreator(TableReport.ReportBandInfo bandInfo,
                                         FillColumn fillColumn,
                                         int xOffset,
                                         int yOffset,
                                         int level,
                                         java.util.Map<java.lang.Integer,JRPropertiesMap> headerBaseProperties,
                                         java.util.concurrent.atomic.AtomicBoolean firstColumn)

  - ### Method Detail

    - #### columnCell

          protected Cell columnCell(Column column)

      Specified by:
        `columnCell` in class `TableReport.ReportBandCreator`

    - #### createColumnCell

          protected JRDesignFrame createColumnCell(Column column,
                                       JRElementGroup parentGroup,
                                       Cell cell)

      Overrides:
        `createColumnCell` in class `TableReport.ReportBandCreator`

    - #### getColumnHeaderLabelExpression

          protected JRExpression getColumnHeaderLabelExpression(Cell header)

    - #### addHeaderToolbarElement

          protected void addHeaderToolbarElement(Column column,
                                     JRDesignFrame frame,
                                     JRTextField sortTextField)

    - #### addIconLabelComponent

          protected void addIconLabelComponent(Column column,
                                   JRDesignFrame frame,
                                   java.lang.String suffix)

    - #### addElementParameter

          protected void addElementParameter(JRDesignGenericElement element,
                                 java.lang.String name,
                                 java.lang.Object value)

    - #### addElementParameter

          protected void addElementParameter(JRDesignGenericElement element,
                                 java.lang.String name,
                                 JRExpression expression)

    - #### addColumnLabelParameters

          protected void addColumnLabelParameters(JRDesignGenericElement element,
                                      TableComponent table)

    - #### columnGroupCell

          protected Cell columnGroupCell(ColumnGroup group)

      Specified by:
        `columnGroupCell` in class `TableReport.ReportBandCreator`

    - #### createSubVisitor

          protected TableReport.ReportBandCreator createSubVisitor(FillColumn subcolumn,
                                                       int xOffset,
                                                       int yOffset,
                                                       int sublevel)

      Specified by:
        `createSubVisitor` in class `TableReport.ReportBandCreator`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com